;===========================================================================================
; directxproc.asm   AsmGges France  http://www.chez.com/asmgges/
;===========================================================================================

;===========================================================================================
; Cration d'une surface
;-------------------------------------------------------------------------------------------
; @AdrSurface = adresse de la variable qui va contenir l'adresse de la surface cre
; @LSurface   = largeur de la surface en pixels
; @HSurface   = hauteur de la surface en pixels
;===========================================================================================
CreateSurf frame @AdrSurface, @LSurface, @HSurface

    invoke ZeroMemory,addr ddsd,sizeof DDSURFACEDESC
    mov D[ddsd.dwSize],sizeof DDSURFACEDESC
    mov D[ddsd.dwFlags],DDSD_CAPS+DDSD_WIDTH+DDSD_HEIGHT
    mov D[ddsd.ddsCaps.dwCaps],DDSCAPS_OFFSCREENPLAIN
    mov eax,[@LSurface]
    mov [ddsd.dwWidth],eax
    mov eax,[@HSurface]
    mov [ddsd.dwHeight],eax
    dd_createsurface([DDraw],addr ddsd,[@AdrSurface],0)

    ret
endf
;===========================================================================================
; Remplir une surface avec une couleur
;-------------------------------------------------------------------------------------------
; @Surface = [Nom] Surface  remplir
; @Color   = couleur de remplissage format RGB 000000h
;===========================================================================================
FillSurface frame @Surface, @Color

    invoke ZeroMemory,addr ddbltfx,sizeof DDBLTFX
    mov D[ddbltfx.dwSize],sizeof DDBLTFX
    mov eax,[@Color]
    mov [ddbltfx.dwFillColor],eax
    dds_blt([@Surface],0,0,0,DDBLT_COLORFILL+DDBLT_WAIT,addr ddbltfx)

    ret
endf
;===========================================================================================
;///////////////////////////////////////////////////////////////////////////////////////////
;===========================================================================================
